<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s0="http://tempuri.org/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="http://tempuri.org/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:import namespace="http://www.w3.org/2001/XMLSchema" />
      <s:element name="GetPartyList">
        <s:complexType />
      </s:element>
      <s:element name="GetPartyListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPartyListResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPartyListDetail">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="strXML" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPartyListDetailResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPartyListDetailResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddParty">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="strXML" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddPartyResponse">
        <s:complexType />
      </s:element>
      <s:element name="DeleteParty">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="strXML" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeletePartyResponse">
        <s:complexType />
      </s:element>
      <s:element name="UpdateParty">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="strXML" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdatePartyResponse">
        <s:complexType />
      </s:element>
      <s:element name="DataSet" nillable="true">
        <s:complexType>
          <s:sequence>
            <s:element ref="s:schema" />
            <s:any />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </types>
  <message name="GetPartyListSoapIn">
    <part name="parameters" element="s0:GetPartyList" />
  </message>
  <message name="GetPartyListSoapOut">
    <part name="parameters" element="s0:GetPartyListResponse" />
  </message>
  <message name="GetPartyListDetailSoapIn">
    <part name="parameters" element="s0:GetPartyListDetail" />
  </message>
  <message name="GetPartyListDetailSoapOut">
    <part name="parameters" element="s0:GetPartyListDetailResponse" />
  </message>
  <message name="AddPartySoapIn">
    <part name="parameters" element="s0:AddParty" />
  </message>
  <message name="AddPartySoapOut">
    <part name="parameters" element="s0:AddPartyResponse" />
  </message>
  <message name="DeletePartySoapIn">
    <part name="parameters" element="s0:DeleteParty" />
  </message>
  <message name="DeletePartySoapOut">
    <part name="parameters" element="s0:DeletePartyResponse" />
  </message>
  <message name="UpdatePartySoapIn">
    <part name="parameters" element="s0:UpdateParty" />
  </message>
  <message name="UpdatePartySoapOut">
    <part name="parameters" element="s0:UpdatePartyResponse" />
  </message>
  <message name="GetPartyListHttpGetIn" />
  <message name="GetPartyListHttpGetOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="GetPartyListDetailHttpGetIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="GetPartyListDetailHttpGetOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="AddPartyHttpGetIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="AddPartyHttpGetOut" />
  <message name="DeletePartyHttpGetIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="DeletePartyHttpGetOut" />
  <message name="UpdatePartyHttpGetIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="UpdatePartyHttpGetOut" />
  <message name="GetPartyListHttpPostIn" />
  <message name="GetPartyListHttpPostOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="GetPartyListDetailHttpPostIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="GetPartyListDetailHttpPostOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="AddPartyHttpPostIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="AddPartyHttpPostOut" />
  <message name="DeletePartyHttpPostIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="DeletePartyHttpPostOut" />
  <message name="UpdatePartyHttpPostIn">
    <part name="strXML" type="s:string" />
  </message>
  <message name="UpdatePartyHttpPostOut" />
  <portType name="fac_WeddingListSoap">
    <operation name="GetPartyList">
      <input message="s0:GetPartyListSoapIn" />
      <output message="s0:GetPartyListSoapOut" />
    </operation>
    <operation name="GetPartyListDetail">
      <input message="s0:GetPartyListDetailSoapIn" />
      <output message="s0:GetPartyListDetailSoapOut" />
    </operation>
    <operation name="AddParty">
      <input message="s0:AddPartySoapIn" />
      <output message="s0:AddPartySoapOut" />
    </operation>
    <operation name="DeleteParty">
      <input message="s0:DeletePartySoapIn" />
      <output message="s0:DeletePartySoapOut" />
    </operation>
    <operation name="UpdateParty">
      <input message="s0:UpdatePartySoapIn" />
      <output message="s0:UpdatePartySoapOut" />
    </operation>
  </portType>
  <portType name="fac_WeddingListHttpGet">
    <operation name="GetPartyList">
      <input message="s0:GetPartyListHttpGetIn" />
      <output message="s0:GetPartyListHttpGetOut" />
    </operation>
    <operation name="GetPartyListDetail">
      <input message="s0:GetPartyListDetailHttpGetIn" />
      <output message="s0:GetPartyListDetailHttpGetOut" />
    </operation>
    <operation name="AddParty">
      <input message="s0:AddPartyHttpGetIn" />
      <output message="s0:AddPartyHttpGetOut" />
    </operation>
    <operation name="DeleteParty">
      <input message="s0:DeletePartyHttpGetIn" />
      <output message="s0:DeletePartyHttpGetOut" />
    </operation>
    <operation name="UpdateParty">
      <input message="s0:UpdatePartyHttpGetIn" />
      <output message="s0:UpdatePartyHttpGetOut" />
    </operation>
  </portType>
  <portType name="fac_WeddingListHttpPost">
    <operation name="GetPartyList">
      <input message="s0:GetPartyListHttpPostIn" />
      <output message="s0:GetPartyListHttpPostOut" />
    </operation>
    <operation name="GetPartyListDetail">
      <input message="s0:GetPartyListDetailHttpPostIn" />
      <output message="s0:GetPartyListDetailHttpPostOut" />
    </operation>
    <operation name="AddParty">
      <input message="s0:AddPartyHttpPostIn" />
      <output message="s0:AddPartyHttpPostOut" />
    </operation>
    <operation name="DeleteParty">
      <input message="s0:DeletePartyHttpPostIn" />
      <output message="s0:DeletePartyHttpPostOut" />
    </operation>
    <operation name="UpdateParty">
      <input message="s0:UpdatePartyHttpPostIn" />
      <output message="s0:UpdatePartyHttpPostOut" />
    </operation>
  </portType>
  <binding name="fac_WeddingListSoap" type="s0:fac_WeddingListSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" />
    <operation name="GetPartyList">
      <soap:operation soapAction="http://tempuri.org/GetPartyList" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="GetPartyListDetail">
      <soap:operation soapAction="http://tempuri.org/GetPartyListDetail" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="AddParty">
      <soap:operation soapAction="http://tempuri.org/AddParty" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="DeleteParty">
      <soap:operation soapAction="http://tempuri.org/DeleteParty" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="UpdateParty">
      <soap:operation soapAction="http://tempuri.org/UpdateParty" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <binding name="fac_WeddingListHttpGet" type="s0:fac_WeddingListHttpGet">
    <http:binding verb="GET" />
    <operation name="GetPartyList">
      <http:operation location="/GetPartyList" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="GetPartyListDetail">
      <http:operation location="/GetPartyListDetail" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="AddParty">
      <http:operation location="/AddParty" />
      <input>
        <http:urlEncoded />
      </input>
      <output />
    </operation>
    <operation name="DeleteParty">
      <http:operation location="/DeleteParty" />
      <input>
        <http:urlEncoded />
      </input>
      <output />
    </operation>
    <operation name="UpdateParty">
      <http:operation location="/UpdateParty" />
      <input>
        <http:urlEncoded />
      </input>
      <output />
    </operation>
  </binding>
  <binding name="fac_WeddingListHttpPost" type="s0:fac_WeddingListHttpPost">
    <http:binding verb="POST" />
    <operation name="GetPartyList">
      <http:operation location="/GetPartyList" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="GetPartyListDetail">
      <http:operation location="/GetPartyListDetail" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="AddParty">
      <http:operation location="/AddParty" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output />
    </operation>
    <operation name="DeleteParty">
      <http:operation location="/DeleteParty" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output />
    </operation>
    <operation name="UpdateParty">
      <http:operation location="/UpdateParty" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output />
    </operation>
  </binding>
  <service name="fac_WeddingList">
    <port name="fac_WeddingListSoap" binding="s0:fac_WeddingListSoap">
      <soap:address location="http://localhost/ws_WeddingList2/fac_WeddingList.asmx" />
    </port>
    <port name="fac_WeddingListHttpGet" binding="s0:fac_WeddingListHttpGet">
      <http:address location="http://localhost/ws_WeddingList2/fac_WeddingList.asmx" />
    </port>
    <port name="fac_WeddingListHttpPost" binding="s0:fac_WeddingListHttpPost">
      <http:address location="http://localhost/ws_WeddingList2/fac_WeddingList.asmx" />
    </port>
  </service>
</definitions>